Executes specified program in current process space

- « pcntl_errno

- pcntl_fork »

- PHP Manual
- PCNTL Functions
- Executes specified program in current process space

# pcntl_exec

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pcntl_exec — Executes specified program in current process space

### Description

pcntl_exec(string `$path`, array `$args` = [], array `$env_vars` = []): bool

Executes the program with the given arguments.

### Parameters

`path`

  `path` must be the path to a binary executable or a script with a valid path pointing to an executable in the shebang ( #!/usr/local/bin/perl for example) as the first line. See your system's man execve(2) page for additional information.

`args`

  `args` is an array of argument strings passed to the program.

`env_vars`

  `env_vars` is an array of strings which are passed as environment to the program. The array is in the format of name => value, the key being the name of the environmental variable and the value being the value of that variable.

### Return Values

Returns `false`.